# RandomChooser Struct Reference

Choose randomly a state between all currently choosable. More...

List of all members.

## Public Member Functions

template<class Auto_ >
Auto_::hstate_t | operator() (const Auto_ &a) const

## Detailed Description

Choose randomly a state between all currently choosable.

See also:
  aut_to_exp()

Definition at line 106 of file aut_to_exp.hh.

## Member Function Documentation

Auto_::hstate_t operator() | ( | const Auto_ & | a | ) | const

Precondition:
  a must not be the empty automaton.

Definition at line 63 of file aut_to_exp.hxx.

References vcsn::misc::random::generate().